Bug 964148 - igord service fails to start on boot
igord service fails to start on boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: igor (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Deepti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 07:29 EDT by Deepti
Modified: 2013-08-07 18:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: igor-0.4.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:57:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the bug 964148 (744 bytes, patch)
2013-05-17 07:40 EDT, Deepti
no flags Details | Diff

  None (edit)
Description Deepti 2013-05-17 07:29:36 EDT
Description of problem:igord service fails to start on boot


Version-Release: igor-0.3.0

How reproducible:Easy


Steps to Reproduce:
1. On a VM where igord rpm is installed, enable igord service using command systemctl enable igord
2. reboot the VM
  
Actual results: 
# On checking service igord status we see the following error:
Redirecting to /bin/systemctl  status igord.service
igord.service - igor daemon for automated testing
	  Loaded: loaded (/usr/lib/systemd/system/igord.service; enabled)
	  Active: failed (Result: exit-code) since Fri, 17 May 2013 05:54:15 -0400; 4s ago
	 Process: 993 ExecStart=/usr/bin/igord (code=exited, status=1/FAILURE)
	  CGroup: name=systemd:/system/igord.service

May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: self._send_output(message_body)
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: File "/usr/lib64/python2.7/httplib.py", line 814, in _send_output
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: self.send(msg)
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: File "/usr/lib64/python2.7/httplib.py", line 776, in send
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: self.connect()
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: File "/usr/lib64/python2.7/httplib.py", line 757, in connect
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: self.timeout, self.source_address)
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: File "/usr/lib64/python2.7/socket.py", line 571, in create_connection
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: raise err
May 17 05:54:15 cobbler.frb.austin.ibm.com igord[993]: socket.error: [Errno 111] Connection refused


Expected results:
Redirecting to /bin/systemctl  status igord.service
igord.service - igor daemon for automated testing
	  Loaded: loaded (/usr/lib/systemd/system/igord.service; enabled)
	  Active: active (running) since Fri, 17 May 2013 07:05:00 -0400; 19min ago
	Main PID: 810 (igord)
	  CGroup: name=systemd:/system/igord.service
		  └ 810 /usr/bin/python /usr/bin/igord


Additional info:
The error is basically because the cobblerd and httpd service needs to be started before igord service is started and this dependency needs to be part of the /usr/lib/systemd/system/igord.service file which is missing currently.
Comment 1 Deepti 2013-05-17 07:40:45 EDT
Created attachment 749330 [details]
Fix for the bug 964148
Comment 2 Fedora End Of Life 2013-07-04 01:46:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora Update System 2013-07-18 11:51:16 EDT
igor-0.4.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/igor-0.4.0-1.fc19
Comment 4 Fedora Update System 2013-07-20 05:53:01 EDT
Package igor-0.4.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing igor-0.4.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13308/igor-0.4.0-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-07 18:57:35 EDT
igor-0.4.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.